std::_List_iterator< _Tp >(3cxx)

NAME
std::_List_iterator< _Tp > - A list::iterator.

SYNOPSIS

#include <list>

  Public Types

typedef _List_node< _Tp > _Node
typedef ptrdiff_t difference_type
typedef std::bidirectional_iterator_tag iterator_category
typedef _Tp * pointer
typedef _Tp & reference
typedef _Tp value_type

  Public Member Functions

_List_iterator (__detail::_List_node_base *__x) noexcept
_List_iterator _M_const_cast () const noexcept
reference operator* () const noexcept
_List_iterator & operator++ () noexcept
_List_iterator operator++ (int) noexcept
_List_iterator & operator-- () noexcept
_List_iterator operator-- (int) noexcept
pointer operator-> () const noexcept

  Public Attributes

__detail::_List_node_base * _M_node

  Friends

bool operator== (const _List_iterator &__x, const _List_iterator &__y) noexcept

Detailed Description

  template<typename _Tp>
struct std::_List_iterator< _Tp >"A list::iterator.

All the functions are op overloads.

Author

Generated automatically by Doxygen for libstdc++ from the source code.